# org.apache.flume.lifecycle

## Interfaces

- LifecycleAware

## Classes

- LifecycleController
- LifecycleSupervisor
- LifecycleSupervisor.MonitorRunnable
- LifecycleSupervisor.Status
- LifecycleSupervisor.SupervisorPolicy
- LifecycleSupervisor.SupervisorPolicy.AlwaysRestartPolicy
- LifecycleSupervisor.SupervisorPolicy.OnceOnlyPolicy

## Enums

- LifecycleState

## Exceptions

- LifecycleException